- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::CompiledTransition Class Reference

`#include <CompiledTransition.h>`

Collaboration diagram for Mers::Estimation::Discrete::CompiledTransition:

[legend]
List of all members.

## Public Member Functions
| CompiledTransition (const Mers::Models::Base::BaseModelAssignment *sourceAssign, const Mers::Models::Base::BaseModelAssignmentArray *transGuards, const Mers::Models::Base::BaseModelAssignment *targetAssign, const double prob)
| CompiledTransition (CompiledTransition const &originalCT)
| CompiledTransition (CompiledTransition const *originalCT)
virtual | ~CompiledTransition ()
const Mers::Models::Base::BaseModelAssignment * | getTargetMode (void) const
const double | getTransitionProbability (void) const
const unsigned int | getAntecedentLength (void) const
const unsigned int | getAntecedentVariableUID (unsigned int vectorPos) const
const unsigned short | getAntecedentValueUID (unsigned int vectorPos) const
void | setDebug (const unsigned short debugVal)
## Friends
std::ostream & | operator<< (std::ostream &, CompiledTransition const &)

## Detailed Description

A compiled transition is a precompiled mapping between current states and commands to enabled transitions; removing the necessity for online satisfiability checking in the OCSP while searching for most likely estimates. (^current modes ^commands -> enabled transition, p)

This object keeps track of how many elements of the antecedent have been satisfied.

Definition at line 50 of file CompiledTransition.h.

## Constructor & Destructor Documentation

CompiledTransition::CompiledTransition | ( | const Mers::Models::Base::BaseModelAssignment * | sourceAssign,
|  | const Mers::Models::Base::BaseModelAssignmentArray * | transGuards,
|  | const Mers::Models::Base::BaseModelAssignment * | targetAssign,
|  | const double | prob |
| ) |  |  |

Creates a new compiled transition object

Parameters:

  | sourceAssign | the source mode assignment of the transition ("from")
  | transGuards | array of mode/control/observable assignments that need to be satisfied for the transition to be enabled
  | targetAssign | the target mode assignment of the transition ("to")
  | prob | transition probability

Definition at line 32 of file CompiledTransition.cpp.

References Mers::Models::Base::BaseModelAssignmentArray::begin(), Mers::Models::Base::BaseModelAssignmentArray::end(), Mers::Models::Base::BaseModelAssignment::getVariable(), and Mers::Models::Base::BaseModelVariable::getVariableType().

Here is the call graph for this function:

CompiledTransition::CompiledTransition | ( | CompiledTransition const & | originalCT | ) |

Copy Constructor

Parameters:

  | originalCT | reference to the CompiledTransition object to copy from

Definition at line 65 of file CompiledTransition.cpp.

CompiledTransition::CompiledTransition | ( | CompiledTransition const * | originalCT | ) |

Copy Constructor

Parameters:

  | originalCT | pointer to the CompiledTransition object to copy from

Definition at line 71 of file CompiledTransition.cpp.

CompiledTransition::~CompiledTransition | ( |  | ) | `[virtual]`

Destroys the CompiledTransition

Definition at line 81 of file CompiledTransition.cpp.

## Member Function Documentation

const BaseModelAssignment * CompiledTransition::getTargetMode | ( | void |  | ) | const

Gets the target mode assignment

Returns:
  target mode

Definition at line 97 of file CompiledTransition.cpp.

const double CompiledTransition::getTransitionProbability | ( | void |  | ) | const

Gets the transition probability

Returns:
  transition probability

Definition at line 103 of file CompiledTransition.cpp.

const unsigned int CompiledTransition::getAntecedentLength | ( | void |  | ) | const

Determines the number of elements in the antecedent of the compiled transition

Returns:
  number of antecendent elements

Definition at line 110 of file CompiledTransition.cpp.

References Mers::Utils::Containers::DynamicArray::getLength().

Referenced by getAntecedentValueUID(), and getAntecedentVariableUID().

Here is the call graph for this function:

const unsigned int CompiledTransition::getAntecedentVariableUID | ( | unsigned int | vectorPos | ) | const

Gets the variable UID of the antecedent specified by location in the vector

Parameters:

  | vectorPos | is the vector element that contains the variable of interest

Returns:
  the variable UID

Definition at line 118 of file CompiledTransition.cpp.

References getAntecedentLength(), Mers::Models::Base::BaseModelVariable::getUID(), and Mers::Models::Base::BaseModelAssignment::getVariable().

Here is the call graph for this function:

const unsigned short CompiledTransition::getAntecedentValueUID | ( | unsigned int | vectorPos | ) | const

Gets the variable value UID of the antecedent specified by location in the vector

Parameters:

  | vectorPos | is the vector element that contains the variable of interest

Returns:
  the value UID

Definition at line 138 of file CompiledTransition.cpp.

References getAntecedentLength(), and Mers::Models::Base::BaseModelAssignment::getValue().

Here is the call graph for this function:

void CompiledTransition::setDebug | ( | const unsigned short | debugVal | ) |

Sets the debug flag to the value specified

Parameters:

  | debugVal | the value to set the debug flag to (higher numbers are more output)

Definition at line 159 of file CompiledTransition.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/CompiledTransition.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/CompiledTransition.cpp